local parent = _G.Tooltip_LuaTexts
local L = LibStub("AceLocale-3.0"):GetLocale("Tooltip_LuaTexts")

local dt = LibStub("LibDogTag-3.0")

local dogtagframe = CreateFrame('Frame')
local dogtagfs = dogtagframe:CreateFontString()
dogtagfs:SetFontObject(GameFontNormal)

local kwargsForUnit = setmetatable({}, { __index = function(self, key)
	self[key] = { unit = key, }
	return self[key]
end})

local function getDogTagValue(code, unit)
	dt:AddFontString(dogtagfs, dogtagframe, code, "Unit", kwargsForUnit[unit] )
	local result = dogtagfs:GetText()
	dt:RemoveFontString(dogtagfs)
	return result
end

parent:RegisterProvider("dogtag", L["DogTag"], { getValue = getDogTagValue, }, {
		value = {
			type = 'input',
			multiline = true,
			width = "full",
			name = L["Code"],
			desc = L["Dogtag-code"],
			get = function(info)
					return info.arg.value
				end,
			set = function(info, value)
					info.arg.value = value
				end,
		},
})
